## vim 7.3.035+hg~8fdc12103333

=== src/testdir/Makefile ===
#
# Makefile to run all tests for Vim
#

VIMPROG = ../vim

# Uncomment this line to use valgrind for memory leaks and extra warnings.
#   The output goes into a file "valgrind.testN"
#   Vim should be compiled with EXITFREE to avoid false warnings.
#   This will make testing about 10 times as slow.
# VALGRIND = valgrind --tool=memcheck --leak-check=yes --num-callers=15 --log-file=valgrind.$*


SCRIPTS = test1.out test2.out test3.out test4.out test5.out test6.out \
		test7.out test8.out test9.out test10.out test11.out \
		test12.out  test13.out test14.out test15.out test17.out \
		test18.out test19.out test20.out test21.out test22.out \
		test23.out test24.out test25.out test26.out test27.out \
		test28.out test29.out test30.out test31.out test32.out \
		test33.out test34.out test35.out test36.out test37.out \
		test38.out test39.out test40.out test41.out test42.out \
		test43.out test44.out test45.out test46.out test47.out \
		test48.out test49.out test51.out test52.out test53.out \
		test54.out test55.out test56.out test57.out test58.out \
		test59.out test60.out test61.out test62.out test63.out \
		test64.out test65.out test66.out test67.out test68.out \
		test69.out test70.out test71.out test72.out test73.out \
		test74.out

SCRIPTS_GUI = test16.out

.SUFFIXES: .in .out

nongui:	nolog $(SCRIPTS) report

gui:	nolog $(SCRIPTS) $(SCRIPTS_GUI) report

report:
	@echo
	@echo 'Test results:'
	@/bin/sh -c "if test -f test.log; \
		then cat test.log; echo TEST FAILURE; exit 1; \
		else echo ALL DONE; \
		fi"

$(SCRIPTS) $(SCRIPTS_GUI): $(VIMPROG)

clean:
	-rm -rf *.out *.failed *.rej *.orig test.log tiny.vim small.vim mbyte.vim mzscheme.vim test.ok X* valgrind.* viminfo

test1.out: test1.in
	-rm -f $*.failed tiny.vim small.vim mbyte.vim mzscheme.vim test.ok X* viminfo
	$(VALGRIND) $(VIMPROG) -u unix.vim -U NONE --noplugin -s dotest.in $*.in
	@/bin/sh -c "if diff test.out $*.ok; \
		then mv -f test.out $*.out; \
		else echo; \
		echo test1 FAILED - Something basic is wrong; \
		echo; exit 1; fi"
	-rm -rf X* viminfo

.in.out:
	-rm -rf $*.failed test.ok test.out X* viminfo
	cp $*.ok test.ok
	# Sleep a moment to avoid that the xterm title is messed up
	@-sleep .2
	-$(VALGRIND) $(VIMPROG) -u unix.vim -U NONE --noplugin -s dotest.in $*.in
	@/bin/sh -c "if test -f test.out; then\
		  if diff test.out $*.ok; \
		  then mv -f test.out $*.out; \
		  else echo $* FAILED >>test.log; mv -f test.out $*.failed; \
		  fi \
		else echo $* NO OUTPUT >>test.log; \
		fi"
	-rm -rf X* test.ok viminfo

test49.out: test49.vim

test60.out: test60.vim

nolog:
	-rm -f test.log

=== debian/changelog ===
vim (2:7.3.035+hg~8fdc12103333-1ubuntu7) natty; urgency=low

  * Updated upstream/debian-runtime.patch to includes Multi-Arch field.

 -- Kees Cook <kees@ubuntu.com>  Wed, 23 Mar 2011 22:45:53 -0700

vim (2:7.3.035+hg~8fdc12103333-1ubuntu6) natty; urgency=low

  * Update patch upstream/debian-runtime to also list oneiric in
    runtime/syntax/debchangelog.vim and runtime/syntax/debsources.vim.

 -- Loïc Minier <loic.minier@linaro.org>  Wed, 23 Mar 2011 13:23:38 +0100

vim (2:7.3.035+hg~8fdc12103333-1ubuntu5) natty; urgency=low

  * runtime/syntax/upstart.vim: Improvements.

 -- James Hunt <james.hunt@ubuntu.com>  Fri, 11 Mar 2011 15:20:06 +0000

vim (2:7.3.035+hg~8fdc12103333-1ubuntu4) natty; urgency=low

  * runtime/syntax/upstart.vim: New syntax file for Upstart.
  * runtime/filetype.vim: Updated to recognise Upstart configuration files.

 -- James Hunt <james.hunt@ubuntu.com>  Tue, 08 Mar 2011 12:14:56 +0000

vim (2:7.3.035+hg~8fdc12103333-1ubuntu3) natty; urgency=low

  * Work around ICE on ppc64 by exporting DEB_GCC_NO_O3=1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Feb 2011 17:37:44 +0000

vim (2:7.3.035+hg~8fdc12103333-1ubuntu2) natty; urgency=low

  * No-change rebuild with Python 2.7 (lp: #688149).

 -- Michael Bienia <geser@ubuntu.com>  Thu, 09 Dec 2010 17:24:51 +0100

vim (2:7.3.035+hg~8fdc12103333-1ubuntu1) natty; urgency=low

  * Merge with Debian unstable (lp: #662276):
    - Use case-insensitive matching for month and day of week names in
      crontab's syntax file (lp: #517019 aka Debian bug #568378).
    - Fix sqlcomplete's <Left>/<Right> maps so they don't interfere with
      normal usage (lp: #584797 aka Debian bug #560083).
    - [7.2.386] KDE 3.1 focus hack causes problems for other window managers
      (lp: #535341).
  * Remaining changes:
    - debian/control:
      + Drop vim-lesstif package and lesstif2-dev build-dependency.
      + Rename Vcs-* to XS-Debian-Vcs-*.
    - debian/rules:
      + Don't build the vim-lesstif variant in Ubuntu.
    - debian/runtime/debian.vim.in:
      + Add Launchpad integration to the Help menu if launchpad-integration is
        installed.
    - debian/runtime/vimrc:
      + "syntax on" is a sane default for non-tiny vim
    - debian/patches/debian/ubuntu-grub-syntax.patch:
      + Add Ubuntu-specific "quiet" keyword.

 -- Michael Bienia <geser@ubuntu.com>  Mon, 25 Oct 2010 10:55:05 +0200

vim (2:7.3.035+hg~8fdc12103333-1) unstable; urgency=low

  * Pull patches 001 - 035.
    + More robust YAML highlighting.  (Closes: #535682)
  * debian/rules:
    + Stop overriding CFLAGS on the command-line when invoking make.  Upstream
      enforces an upper-limit of 1 for _FORTIFY_SOURCE due to the use of
      flexible arrays in nested structs, which improperly cause Vim to crash
      with _FORTIFY_SOURCE=2.
    + Use DEB_HOST_ARCH_OS instead of DEB_HOST_GNU_SYSTEM to determine whether
      Linux-specific functionality is enabled.
    + Use dpkg-vendor to change build configuration when building on Ubuntu.
      Thanks to Michael Bienia for the patch.
  * Make helpztags capable of generating tags files for non-English help
    files.  (Closes: #600248)
  * Debian runtime:
    + Add natty as a recognized distribution.  (Closes: #600560)
    + Add metapackages as a recognized section.  (Closes: #600562)
    + Remove etch as a recognized distribution.
  * debian/control: Add dpkg-dev (>= 1.15.1) Build-Depends for dpkg-vendor.

 -- James Vega <jamessan@debian.org>  Mon, 25 Oct 2010 00:48:58 -0400

vim (2:7.3.000+hg~ee53a39d5896-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    + Explicitly use the dynamic loading Python interfaces.
    + Remove cleanup from clean target which are now properly handled by
      upstream's Makefile.
  * Update version information in documentation.

 -- James Vega <jamessan@debian.org>  Sun, 15 Aug 2010 17:34:02 -0400

vim (2:7.3f.20100812+hg~20e83abf88b1-1) experimental; urgency=low

  * Merge latest 7.3f pre-release.
    + Correctly restore multi-byte terminal titles when exiting Vim.  (Closes:
      #558153)
    + Highlight text inside math zones correctly for tex files.  (Closes:
      #509908)
    + Recognize nested cite regions in tex files.  (Closes: #444288)
    + Support syntax highlighting of bash's $"".  (Closes: #473736)
  * Patches merged upstream:
    + perl-indent-block.patch
    + logcheck-ftplugin.patch
    + tex-syntax-verbatim-spell.patch
  * Enable Lua scripting.
    + Add liblua5.1-0-dev and lua5.1 to Build-Depends.
    + Enable lua interface via dynamic loading.
  * Switch Perl interface to dynamic loading.
  * debian/rules: Prefer running tests with the vim-nox binary if it's
    available.
  * Bump Standards-Version to 3.9.1.0 -- no changes needed.

 -- James Vega <jamessan@debian.org>  Thu, 12 Aug 2010 20:01:43 -0400

vim (2:7.3b.20100720+hg~7b7508ee56f1-1) experimental; urgency=low

  * Merge 7.3b pre-release.
    + Don't run autocommands when being killed to avoid overrunning the stack.
      (Closes: #580961)
    + Detect when the recovered buffer matches the on-disk file and notify the
      user.  (Closes: #89359)
    + Update CMake runtime files.  (Closes: #463715)
    + Correctly set timestamp for X selection transfers.  (Closes: #577035)
    + Improve 'cindent's handling of javascript.  (Closes: #588875)
    + Correctly displays characters inserted via digraph sequences which wrap
      to a new line.  (Closes: #442184)
  * Patches merged upstream:
    + it-manpage-fixes.patch
    + lang-breaks-floating-point.patch
    + python-modlibs.patch:
      - Remove autoconf Build-Depends as configure.in isn't being patched
        anymore.
      - Remove autoconf-stamp pre-requisite for configure-stamp-% target.
  * Update debian/rules to handle the snapshot versioning.
  * Enable Python3 language interface.
    + Add python3-dev to Build-Depends.
    + Pass --enable-python3interp to configure when building variants with
      language interfaces enabled.



=== debian/control ===
Source: vim
Section: editors
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Vim Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>
Uploaders: James Vega <jamessan@debian.org>
Standards-Version: 3.9.1.0
Build-Depends: debhelper (>= 5), libacl1-dev, libgpmg1-dev [linux-any],
 libncurses5-dev, libselinux1-dev [linux-any],
# B-D for dpkg-vendor
 dpkg-dev (>= 1.15.1),
# B-D for GUI support
 libgtk2.0-dev, libgnomeui-dev, libxt-dev, libxpm-dev,
# B-D for language interpreters
 libperl-dev, tcl-dev, python-dev, ruby, ruby1.8-dev, python3-dev, lua5.1,
 liblua5.1-dev
Build-Depends-Indep: docbook-xml, docbook-utils
XS-Debian-Vcs-Hg: http://hg.debian.org/hg/pkg-vim/vim
XS-Debian-Vcs-Browser: http://hg.debian.org/hg/pkg-vim/vim
Homepage: http://www.vim.org/

Package: vim-common
Priority: important
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: vim | vim-gnome | vim-gtk | vim-lesstif | vim-nox | vim-tiny
Description: Vi IMproved - Common files
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 Many new features have been added: multi level undo, syntax
 highlighting, command line history, on-line help, filename
 completion, block operations, folding, Unicode support, etc.
 .
 This package contains files shared by all non GUI-enabled vim
 variants (vim and vim-tiny currently) available in Debian.
 Examples of such shared files are: manpages, common executables
 like xxd, and configuration files.

Package: vim-gui-common
Architecture: all
Recommends: vim-gnome | vim-gtk | vim-lesstif
Depends: ${misc:Depends}
Breaks: vim-runtime (<< 2:7.2.438+hg~d44112feb815-3)
Replaces: vim-runtime (<< 2:7.2.438+hg~d44112feb815-3)
Description: Vi IMproved - Common GUI files
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 Many new features have been added: multi level undo, syntax
 highlighting, command line history, on-line help, filename
 completion, block operations, folding, Unicode support, etc.
 .
 This package contains files shared by all GUI-enabled vim
 variants available in Debian.  Examples of such shared files are:
 gvimtutor, icons, desktop environments settings, and menu entries.

Package: vim-runtime
Architecture: all
Depends: ${misc:Depends}
# Upgrades across major versions need to update vim-tiny first, otherwise
# vim-runtime's removal of the old diversions will fail
Breaks: vim-tiny (<< ${source:Version})
Recommends: vim | vim-gnome | vim-gtk | vim-lesstif | vim-nox | vim-tiny
Enhances: vim-tiny
Description: Vi IMproved - Runtime files
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 Many new features have been added: multi level undo, syntax
 highlighting, command line history, on-line help, filename
 completion, block operations, folding, Unicode support, etc.
 .
 This package contains vimtutor and the architecture independent runtime
 files, used, if available, by all vim variants available in Debian.
 Example of such runtime files are: online documentation, rules for
 language-specific syntax highlighting and indentation, color schemes,
 and standard plugins.

Package: vim-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Vi IMproved - HTML documentation
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 Many new features have been added: multi level undo, syntax
 highlighting, command line history, on-line help, filename
 completion, block operations, folding, Unicode support, etc.
 .
 This package contains the HTML version of the online
 documentation.

Package: vim-tiny
Priority: important
Architecture: any
Depends: vim-common (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
# Vim automatically invokes the indent program if it isn't built with internal
# indenting support (as is the case with vim-tiny) and the 'equalprg' option
# isn't set.
Suggests: indent
Provides: editor
Description: Vi IMproved - enhanced vi editor - compact version
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 Many new features have been added: multi level undo, syntax
 highlighting, command line history, on-line help, filename
 completion, block operations, folding, Unicode support, etc.
 .
 This package contains a minimal version of vim compiled with no
 GUI and a small subset of features in order to keep small the
 package size. This package does not depend on the vim-runtime
 package, but installing it you will get its additional benefits
 (online documentation, plugins, ...).

Package: vim
Architecture: any
Depends: vim-common (= ${binary:Version}), vim-runtime (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: ctags, vim-doc, vim-scripts
Provides: editor
Description: Vi IMproved - enhanced vi editor
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 Many new features have been added: multi level undo, syntax
 highlighting, command line history, on-line help, filename
 completion, block operations, folding, Unicode support, etc.
 .
 This package contains a version of vim compiled with a rather
 standard set of features.  This package does not provide a GUI
 version of Vim.  See the other vim-* packages if you need more
 (or less).

Package: vim-dbg
Section: debug
Priority: extra
Architecture: any
Depends: vim (= ${binary:Version}) | vim-gtk (= ${binary:Version}) |
 vim-gnome (= ${binary:Version}) | vim-nox (= ${binary:Version}) |
 vim-common (= ${binary:Version}) | vim-lesstif (= ${binary:Version}) |
 vim-tiny (= ${binary:Version}), ${misc:Depends}
Description: Vi IMproved - enhanced vi editor (debugging symbols)
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 Many new features have been added: multi level undo, syntax
 highlighting, command line history, on-line help, filename
 completion, block operations, folding, Unicode support, etc.
 .
 This package contains gdb debugging symbols for the vim packages.

Package: vim-gtk
Priority: extra
Architecture: any
Depends: vim-gui-common (= ${source:Version}), vim-common (= ${binary:Version}), vim-runtime (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: cscope, vim-doc, ttf-dejavu, gnome-icon-theme
Provides: vim, gvim, editor, vim-perl, vim-python, vim-ruby, vim-tcl
Description: Vi IMproved - enhanced vi editor - with GTK2 GUI
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 Many new features have been added: multi level undo, syntax
 highlighting, command line history, on-line help, filename
 completion, block operations, folding, Unicode support, etc.
 .
 This package contains a version of vim compiled with a GTK2 GUI
 and support for scripting with Perl, Python, Ruby, and Tcl.

Package: vim-nox
Priority: extra
Architecture: any
Depends: vim-common (= ${binary:Version}), vim-runtime (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: cscope, vim-doc
Provides: vim, editor, vim-perl, vim-python, vim-ruby, vim-tcl
Description: Vi IMproved - enhanced vi editor
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 Many new features have been added: multi level undo, syntax
 highlighting, command line history, on-line help, filename
 completion, block operations, folding, Unicode support, etc.
 .
 This package contains a version of vim compiled with support for
 scripting with Perl, Python, Ruby, and Tcl but no GUI.

Package: vim-gnome
Priority: extra
Architecture: any
Depends: vim-gui-common (= ${source:Version}), vim-common (= ${binary:Version}), vim-runtime (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: cscope, vim-doc, ttf-dejavu, gnome-icon-theme
Provides: vim, gvim, editor, vim-perl, vim-python, vim-ruby, vim-tcl
Description: Vi IMproved - enhanced vi editor - with GNOME2 GUI
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 Many new features have been added: multi level undo, syntax
 highlighting, command line history, on-line help, filename
 completion, block operations, folding, Unicode support, etc.
 .
 This package contains a version of vim compiled with a GNOME2 GUI
 and support for scripting with Perl, Python, Ruby, and Tcl.

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_VENDOR := $(shell dpkg-vendor --query vendor)

BUILDER := $(shell echo $${DEBEMAIL:-$${EMAIL:-$$(echo $$LOGNAME@$$(cat /etc/mailname 2> /dev/null))}})

CFLAGS = -Wall -g
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS+=-O0
else
  CFLAGS+=-O2
endif

MAKETEST := no
ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
    MAKETEST := yes
  endif
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif

ifeq ($(DEB_HOST_ARCH),ppc64)
# work around ICE
export DEB_GCC_NO_O3 := 1
endif

CFGFLAGS := --prefix=/usr --mandir='$${prefix}'/share/man --without-local-dir
CFGFLAGS += --with-modified-by="pkg-vim-maintainers@lists.alioth.debian.org"
CFGFLAGS += --with-compiledby="$(BUILDER)"

TINYFLAGS:=--with-features=small
TINYFLAGS+=--disable-gui
TINYFLAGS+=--disable-xsmp
TINYFLAGS+=--disable-xsmp-interact
TINYFLAGS+=--disable-netbeans
TINYFLAGS+=--disable-acl
TINYFLAGS+=--disable-gpm
TINYFLAGS+=--enable-nls
TINYFLAGS+=--enable-multibyte

OPTFLAGS:=--enable-cscope
ifeq ($(DEB_HOST_ARCH_OS),linux)
    OPTFLAGS+=--enable-gpm
else
    OPTFLAGS+=--disable-gpm
endif
OPTFLAGS+=--with-features=huge
OPTFLAGS+=--enable-multibyte

NOXFLAGS:=--without-x
NOXFLAGS+=--enable-gui=no

GUIFLAGS:=--with-x
GUIFLAGS+=--enable-xim

GTK2FLAGS:=--enable-gui=gtk2
GTK2FLAGS+=--enable-gtk2-check
GTK2FLAGS+=--disable-gnome-check
GTK2FLAGS+=--disable-motif-check
GTK2FLAGS+=--disable-fontset

GNOMEFLAGS:=--enable-gui=gnome2
GNOMEFLAGS+=--disable-gtk2-check
GNOMEFLAGS+=--enable-gnome-check
GNOMEFLAGS+=--disable-motif-check
GNOMEFLAGS+=--disable-fontset

LESSTIFFLAGS:=--enable-gui=motif
LESSTIFFLAGS+=--disable-gtk2-check
LESSTIFFLAGS+=--disable-gnome-check
LESSTIFFLAGS+=--enable-motif-check
LESSTIFFLAGS+=--enable-fontset

NOINTERPFLAGS:=--disable-luainterp
NOINTERPFLAGS+=--disable-mzschemeinterp
NOINTERPFLAGS+=--disable-perlinterp
ifeq ($(DEB_VENDOR),Ubuntu)
	NOINTERPFLAGS+=--enable-pythoninterp=dynamic
	NOINTERPFLAGS+=--enable-python3interp=dynamic
else
	NOINTERPFLAGS+=--disable-pythoninterp
	NOINTERPFLAGS+=--disable-python3interp
endif
NOINTERPFLAGS+=--disable-rubyinterp
NOINTERPFLAGS+=--disable-tclinterp

ALLINTERPFLAGS:=--enable-luainterp=dynamic
ALLINTERPFLAGS+=--disable-mzschemeinterp
ALLINTERPFLAGS+=--enable-perlinterp=dynamic
ALLINTERPFLAGS+=--enable-pythoninterp=dynamic
ALLINTERPFLAGS+=--enable-python3interp=dynamic
ALLINTERPFLAGS+=--enable-rubyinterp
ALLINTERPFLAGS+=--enable-tclinterp

# Each vim-xxx package is said to be a vim variant and contains only a vim
# binary built with some compile-time options. Makefile VARIANTS below are
# one-to-one with those packages with the exception of "vim-basic". In this
# Makefile vim-basic is used to build 4 packages: "vim", "vim-runtime",
# "vim-common", "vim-gui-common". "vim-tiny" is the only variant package not
# depending on vim-runtime.

VARIANTS+=vim-tiny
VARIANTS+=vim-gtk
VARIANTS+=vim-gnome
VARIANTS_SKIP+=vim-lesstif
VARIANTS+=vim-nox
VARIANTS+=vim-basic

ifeq ($(origin VARIANT), command line)
	VARIANTS = $(VARIANT) vim-basic
endif

CFLAGS_vim-basic:=$(CFLAGS)
CFGFLAGS_vim-basic:=$(CFGFLAGS) $(OPTFLAGS) $(NOXFLAGS) $(NOINTERPFLAGS)

CFLAGS_vim-tiny:=$(CFLAGS) -DTINY_VIMRC
CFGFLAGS_vim-tiny:=$(CFGFLAGS) $(TINYFLAGS)

CFLAGS_vim-gtk:=$(CFLAGS)
CFGFLAGS_vim-gtk:=$(CFGFLAGS) $(OPTFLAGS) $(GUIFLAGS) $(GTKFLAGS) $(ALLINTERPFLAGS)

CFLAGS_vim-gnome:=$(CFLAGS)
CFGFLAGS_vim-gnome:=$(CFGFLAGS) $(OPTFLAGS) $(GUIFLAGS) $(GNOMEFLAGS) $(ALLINTERPFLAGS)

CFLAGS_vim-lesstif:=$(CFLAGS)
CFGFLAGS_vim-lesstif:=$(CFGFLAGS) $(OPTFLAGS) $(GUIFLAGS) $(LESSTIFFLAGS) $(ALLINTERPFLAGS)

CFLAGS_vim-nox:=$(CFLAGS)
CFGFLAGS_vim-nox:=$(CFGFLAGS) $(OPTFLAGS) $(NOXFLAGS) $(ALLINTERPFLAGS)

NAME:=vim
VERSION:=7.3
SNAPSHOT:=
VIMCUR:=$(NAME)$(subst .,,$(VERSION))$(SNAPSHOT)
DEBVERSION:=$(shell dpkg-parsechangelog | sed -n '/^Version:/{s/Version: *\([^:]*:\)\?\([^-]*\)-.*/\2/;p;q}')
EXPORT_DIR ?= ..
ORIG_SOURCE := $(EXPORT_DIR)/$(NAME)_$(DEBVERSION).orig.tar.gz
PER_VARIANT_FILES := install postinst prerm links
LANGS := fr it pl ru

DOT_IN_DEPS := debian/vim-common.install
DOT_IN_DEPS += debian/vim-common.links
DOT_IN_DEPS += debian/vim-gui-common.install
DOT_IN_DEPS += debian/vim-gui-common.links
DOT_IN_DEPS += debian/vim-runtime.install
DOT_IN_DEPS += debian/vim-runtime.links
DOT_IN_DEPS += debian/vim-runtime.postrm
DOT_IN_DEPS += debian/vim-runtime.preinst
DOT_IN_DEPS += debian/runtime/debian.vim
DOT_IN_DEPS += debian/lintian/vim-runtime
DOT_IN_DEPS_TINY := debian/tiny/vimrc.tiny

# nothing to do per default
all: 

$(ORIG_SOURCE):
	if hg root >/dev/null 2>&1; then \
	    hg archive -t tgz -X .hg\* --prefix=$(NAME)-$(DEBVERSION)/ -r $$(echo $(DEBVERSION) | sed 's/.*+hg~//') $(ORIG_SOURCE); \
	fi

update-orig: $(ORIG_SOURCE)

# You only need to run this immediately after checking out the package from
# version control.
quilt-setup: export QUILT_PATCHES=debian/patches
quilt-setup:
	[ ! -d .pc ]
	set -e; for patch in $$(quilt series | tac); do \
		patch -Rp1 --no-backup-if-mismatch <"debian/patches/$$patch"; \
	done
	quilt push -a

clean: $(foreach v,$(VARIANTS),clean-$(v))
	dh_testdir
	dh_testroot
	rm -f extract-stamp* build-stamp* install-stamp* configure-stamp* autoconf-stamp
	rm -f debian/helpztags.1
	rm -rf debian/policy/vim-policy.html
	rm -f debian/policy/vim-policy.txt
	[ ! -f src/auto/config.cache ] || make distclean
	[ ! -f debian/configure.dist ] || mv debian/configure.dist src/auto/configure
	rm -f src/auto/config.h
	rm -f runtime/doc/doctags runtime/doc/tags.ref
	rm -f runtime/doc/*.html runtime/doc/*.log
	dh_clean

clean-vim-basic:
	dh_testdir
	dh_testroot
	for x in $(PER_VARIANT_FILES) ; do \
	  rm -f debian/vim.$$x ; \
	done
	[ ! -L src/vim-basic/po ] || $(MAKE) -C src/vim-basic/po clean
	rm -f $(DOT_IN_DEPS)
	rm -rf src/vim-basic

clean-%: SHADOWDIR=$*
clean-%:
	dh_testdir
	dh_testroot
	for x in $(PER_VARIANT_FILES) ; do \
	  rm -f debian/$*.$$x ; \
	done
	rm -f debian/lintian/$*
	if [ "$*" = "vim-tiny" ]; then \
	  rm -f $(DOT_IN_DEPS_TINY); \
	fi
	rm -rf src/$(SHADOWDIR)

build: build-stamp-arch

build-indep: build-stamp-indep
build-stamp-indep: export DH_OPTIONS=-pvim-doc
build-stamp-indep:
	dh_testdir
	dh_clean -k
	$(MAKE) -C runtime/doc html
	$(MAKE) -C debian/policy text html
	$(MAKE) -C src/po vim.pot
	touch $@

build-arch: build-stamp-arch
build-stamp-arch: $(foreach v,$(VARIANTS),build-stamp-$(v))
	dh_testdir
	touch $@

autoconf-stamp:
	dh_testdir
	[ -f debian/configure.dist ] || cp src/auto/configure debian/configure.dist
# The autoconf target generates a new configure, and touches some other
# configure-related things.  Need to run distclean afterward or timestamps
# will be off and the next make that runs will think it needs to run
# configure.  This breaks parallel builds since two configures are being run
# in the same directory at the same time instead of in their own shadow
# directories.
	$(MAKE) -C src autoconf
	$(MAKE) distclean
	touch $@

configure-stamp-%: SHADOWDIR=$*
configure-stamp-%:
	dh_testdir
	@echo "*** DEBIAN *** CONFIGURING VARIANT $*"
	$(MAKE) -C src shadow SHADOWDIR=$(SHADOWDIR)
	if test -f src/auto/config.cache; then make distclean; fi
	cd src/$(SHADOWDIR) && LDFLAGS="-Wl,--as-needed" CFLAGS="$(CFLAGS_$(*))" ./configure $(CFGFLAGS_$(*))
	touch $@

build-stamp-%: CURCFLAGS=$(CFLAGS_$*)
build-stamp-%: SHADOWDIR=$*
build-stamp-%: configure-stamp-%
	dh_testdir
	dh_clean -p$* -k
	@echo "*** DEBIAN *** BUILDING VARIANT $*"
	$(MAKE) -C src/$(SHADOWDIR)
	touch $@

install: $(foreach v,$(VARIANTS),install-stamp-$(v))

## vim 7.3.154+hg~74503f6ee649

=== src/Makefile ===
# Makefile for Vim on Unix and Unix-like systems	vim:ts=8:sw=8:tw=78
#
# This Makefile is loosely based on the GNU Makefile conventions found in
# standards.info.
#
# Compiling Vim, summary:
#
#	3. make
#	5. make install
#
# Compiling Vim, details:
#
# Edit this file for adjusting to your system. You should not need to edit any
# other file for machine specific things!
# The name of this file MUST be Makefile (note the uppercase 'M').
#
# 1. Edit this Makefile  {{{1
#	The defaults for Vim should work on most machines, but you may want to
#	uncomment some lines or make other changes below to tune it to your
#	system, compiler or preferences.  Uncommenting means that the '#' in
#	the first column of a line is removed.
#	- If you want a version of Vim that is small and starts up quickly,
#	  you might want to disable the GUI, X11, Perl, Python and Tcl.
#	- Uncomment the line with --disable-gui if you have Motif, GTK and/or
#	  Athena but don't want to make gvim (the GUI version of Vim with nice
#	  menus and scrollbars, but makes Vim bigger and startup slower).
#	- Uncomment --disable-darwin if on Mac OS X but you want to compile a
#	  Unix version.
#	- Uncomment the line "CONF_OPT_X = --without-x" if you have X11 but
#	  want to disable using X11 libraries.	This speeds up starting Vim,
#	  but the window title will not be set and the X11 selection can not
#	  used.
#	- Uncomment the line "CONF_OPT_XSMP = --disable-xsmp" if you have the
#	  X11 Session Management Protocol (XSMP) library (libSM) but do not
#	  want to use it.
#	  This can speedup Vim startup but Vim loses the ability to catch the
#	  user logging out from session-managers like GNOME and work
#	  could be lost.
#	- Uncomment one or more of these lines to include an interface;
#	  each makes Vim quite a bit bigger:
#		--enable-luainterp	for Lua interpreter
#		--enable-mzschemeinterp	for MzScheme interpreter
#		--enable-perlinterp	for Perl interpreter
#		--enable-python3interp	for Python3 interpreter
#		--enable-pythoninterp	for Python interpreter
#		--enable-rubyinterp	for Ruby interpreter
#		--enable-tclinterp	for Tcl interpreter
#		--enable-cscope		for Cscope interface
#	- Uncomment one of the lines with --with-features= to enable a set of
#	  features (but not the interfaces just mentioned).
#	- Uncomment the line with --disable-acl to disable ACL support even
#	  though your system supports it.
#	- Uncomment the line with --disable-gpm to disable gpm support
#	  even though you have gpm libraries and includes.
#	- Uncomment the line with --disable-sysmouse to disable sysmouse
#	  support even though you have /dev/sysmouse and includes.
#	- Uncomment one of the lines with CFLAGS and/or CC if you have
#	  something very special or want to tune the optimizer.
#	- Search for the name of your system to see if it needs anything
#	  special.
#	- A few versions of make use '.include "file"' instead of 'include
#	  file'.  Adjust the include line below if yours does.
#
# 2. Edit feature.h  {{{1
#	Only if you do not agree with the default compile features, e.g.:
#	- you want Vim to be as vi compatible as it can be
#	- you want to use Emacs tags files
#	- you want right-to-left editing (Hebrew)
#	- you want 'langmap' support (Greek)
#	- you want to remove features to make Vim smaller
#
# 3. "make"  {{{1
#	Will first run ./configure with the options in this file. Then it will
#	start make again on this Makefile to do the compiling. You can also do
#	this in two steps with:
#		make config
#		make
#	The configuration phase creates/overwrites auto/config.h and
#	auto/config.mk.
#	The configure script is created with "make autoconf".  It can detect
#	different features of your system and act accordingly.  However, it is
#	not correct for all systems.  Check this:
#	- If you have X windows, but configure could not find it or reported
#	  another include/library directory then you wanted to use, you have
#	  to set CONF_OPT_X below.  You might also check the installation of
#	  xmkmf.
#	- If you have --enable-gui=motif and have Motif on your system, but
#	  configure reports "checking for location of gui... <not found>", you
#	  have to set GUI_INC_LOC and GUI_LIB_LOC below.
#	If you changed something, do this to run configure again:
#		make reconfig
#
#	- If you do not trust the automatic configuration code, then inspect
#	  auto/config.h and auto/config.mk, before starting the actual build
#	  phase. If possible edit this Makefile, rather than auto/config.mk --
#	  especially look at the definition of VIMLOC below. Note that the
#	  configure phase overwrites auto/config.mk and auto/config.h again.
#	- If you get error messages, find out what is wrong and try to correct
#	  it in this Makefile. You may need to do "make reconfig" when you
#	  change anything that configure uses (e.g. switching from an old C
#	  compiler to an ANSI C compiler). Only when auto/configure does
#	  something wrong you may need to change one of the other files. If
#	  you find a clean way to fix the problem, consider sending a note to
#	  the author of autoconf (bug-gnu-utils@prep.ai.mit.edu) or Vim
#	  (Bram@vim.org). Don't bother to do that when you made a hack
#	  solution for a non-standard system.
#
# 4. "make test"  {{{1
#	This is optional.  This will run Vim scripts on a number of test
#	files, and compare the produced output with the expected output.
#	If all is well, you will get the "ALL DONE" message in the end.  If a
#	test fails you get "TEST FAILURE".  See below (search for "/^test").
#
# 5. "make install"  {{{1
#	If the new Vim seems to be working OK you can install it and the
#	documentation in the appropriate location. The default is
#	"/usr/local".  Change "prefix" below to change the location.
#	"auto/pathdef.c" will be compiled again after changing this to make
#	the executable know where the help files are located.
#	Note that any existing executable is removed or overwritten.  If you
#	want to keep it you will have to make a backup copy first.
#	The runtime files are in a different directory for each version.  You
#	might want to delete an older version.
#	If you don't want to install everything, there are other targets:
#		make installvim		only installs Vim, not the tools
#		make installvimbin	only installs the Vim executable
#		make installruntime	installs most of the runtime files
#		make installrtbase	only installs the Vim help and
#							runtime files
#		make installlinks	only installs the Vim binary links
#		make installmanlinks	only installs the Vim manpage links
#		make installmacros	only installs the Vim macros
#		make installtutorbin	only installs the Vim tutor program
#		make installtutor	only installs the Vim tutor files
#		make installspell	only installs the spell files
#		make installtools	only installs xxd
#	If you install Vim, not to install for real but to prepare a package
#	or RPM, set DESTDIR to the root of the tree.
#
# 6. Use Vim until a new version comes out.  {{{1
#
# 7. "make uninstall_runtime"  {{{1
#	Will remove the runtime files for the current version.	This is safe
#	to use while another version is being used, only version-specific
#	files will be deleted.
#	To remove the runtime files of another version:
#		make uninstall_runtime VIMRTDIR=/vim54
#	If you want to delete all installed files, use:
#		make uninstall
#	Note that this will delete files that have the same name for any
#	version, thus you might need to do a "make install" soon after this.
#	Be careful not to remove a version of Vim that is still being used!
#	To find out which files and directories will be deleted, use:
#		make -n uninstall
# }}}
#
### This Makefile has been successfully tested on many systems. {{{
### Only the ones that require special options are mentioned here.
### Check the (*) column for remarks, listed below.
### Later code changes may cause small problems, otherwise Vim is supposed to
### compile and run without problems.

#system:	      configurations:		     version (*) tested by:
#-------------	      ------------------------	     -------  -  ----------
#AIX 3.2.5	      cc (not gcc)   -			4.5  (M) Will Fiveash
#AIX 4		      cc	     +X11 -GUI		3.27 (4) Axel Kielhorn
#AIX 4.1.4	      cc	     +X11 +GUI		4.5  (5) Nico Bakker
#AIX 4.2.1	      cc				5.2k (C) Will Fiveash
#AIX 4.3.3.12	      xic 3.6.6				5.6  (5) David R. Favor
#A/UX 3.1.1	      gcc	     +X11		4.0  (6) Jim Jagielski
#BeOS PR	      mwcc DR3				5.0n (T) Olaf Seibert
#BSDI 2.1 (x86)       shlicc2 gcc-2.6.3 -X11 X11R6	4.5  (1) Jos Backus
#BSD/OS 3.0 (x86)     gcc gcc-2.7.2.1 -X11 X11R6	4.6c (1) Jos Backus
#CX/UX 6.2	      cc	     +X11 +GUI_Mofif	5.4  (V) Kipp E. Howard
#DG/UX 5.4*	      gcc 2.5.8      GUI		5.0e (H) Jonas Schlein
#DG/UX 5.4R4.20       gcc 2.7.2      GUI		5.0s (H) Rocky Olive
#HP-UX (most)	      c89 cc				5.1  (2) Bram Moolenaar
#HP-UX_9.04	      cc	     +X11 +Motif	5.0  (2) Carton Lao
#Irix 6.3 (O2)	      cc	     ?			4.5  (L) Edouard Poor
#Irix 6.4	      cc	     ?			5.0m (S) Rick Sayre
#Irix 6.5	      cc	     ?			6.0  (S) David Harrison
#Irix 64 bit						4.5  (K) Jon Wright
#Linux 2.0	      gcc-2.7.2      Infomagic Motif	4.3  (3) Ronald Rietman
#Linux 2.0.31	      gcc	     +X11 +GUI Athena	5.0w (U) Darren Hiebert
#LynxOS 3.0.1	      2.9-gnupro-98r2 +X11 +GUI Athena  5.7.1(O) Lorenz Hahn
#LynxOS 3.1.0	      2.9-gnupro-98r2 +X11 +GUI Athena  5.7.1(O) Lorenz Hahn
#NEC UP4800 UNIX_SV 4.2MP  cc	     +X11R6 Motif,Athena4.6b (Q) Lennart Schultz
#NetBSD 1.0A	      gcc-2.4.5      -X11 -GUI		3.21 (X) Juergen Weigert
#QNX 4.2	      wcc386-10.6    -X11		4.2  (D) G.F. Desrochers
#QNX 4.23	      Watcom	     -X11		4.2  (F) John Oleynick
#SCO Unix v3.2.5      cc	     +X11 Motif		3.27 (C) M. Kuperblum
#SCO Open Server 5    gcc 2.7.2.3    +X11 +GUI Motif	5.3  (A) Glauber Ribeiro
#SINIX-N 5.43 RM400 R4000   cc	     +X11 +GUI		5.0l (I) Martin Furter
#SINIX-Z 5.42 i386    gcc 2.7.2.3    +X11 +GUI Motif	5.1  (I) Joachim Fehn
#SINIX-Y 5.43 RM600 R4000  gcc 2.7.2.3 +X11 +GUI Motif	5.1  (I) Joachim Fehn
#Reliant/SINIX 5.44   cc	     +X11 +GUI		5.5a (I) B. Pruemmer
#SNI Targon31 TOS 4.1.11 gcc-2.4.5   +X11 -GUI		4.6c (B) Paul Slootman
#Solaris 2.4 (Sparc)  cc	     +X11 +GUI		3.29 (9) Glauber
#Solaris 2.4/2.5      clcc	     +X11 -GUI openwin	3.20 (7) Robert Colon
#Solaris 2.5 (sun4m)  cc (SC4.0)     +X11R6 +GUI (CDE)	4.6b (E) Andrew Large
#Solaris 2.5	      cc	     +X11 +GUI Athena	4.2  (9) Sonia Heimann
#Solaris 2.5	      gcc 2.5.6      +X11 Motif		5.0m (R) Ant. Colombo
#Solaris 2.6	      gcc 2.8.1      ncursus		5.3  (G) Larry W. Virden
#Solaris with -lthread					5.5  (W) K. Nagano
#Solaris	      gcc				     (b) Riccardo
#SunOS 4.1.x			     +X11 -GUI		5.1b (J) Bram Moolenaar
#SunOS 4.1.3_U1 (sun4c) gcc	     +X11 +GUI Athena	5.0w (J) Darren Hiebert
#SUPER-UX 6.2 (NEC SX-4) cc	     +X11R6 Motif,Athena4.6b (P) Lennart Schultz
#Tandem/NSK                                                  (c) Matthew Woehlke
#Unisys 6035	      cc	     +X11 Motif		5.3  (8) Glauber Ribeiro
#ESIX V4.2	      cc	     +X11		6.0  (a) Reinhard Wobst
#Mac OS X 10.[23]     gcc	     Carbon		6.2  (x) Bram Moolenaar
# }}}

# (*)  Remarks: {{{
#
# (1)  Uncomment line below for shlicc2
# (2)  HPUX with compile problems or wrong digraphs, uncomment line below
# (3)  Infomagic Motif needs GUI_LIB_LOC and GUI_INC_LOC set, see below.
#      And add "-lXpm" to MOTIF_LIBS2.
# (4)  For cc the optimizer must be disabled (use CFLAGS= after running
#      configure) (symptom: ":set termcap" output looks weird).
# (5)  Compiler may need extra argument, see below.
# (6)  See below for a few lines to uncomment
# (7)  See below for lines which enable the use of clcc
# (8)  Needs some EXTRA_LIBS, search for Unisys below
# (9)  Needs an extra compiler flag to compile gui_at_sb.c, see below.
# (A)  May need EXTRA_LIBS, see below
# (B)  Can't compile GUI because there is no waitpid()...  Disable GUI below.
# (C)  Force the use of curses instead of termcap, see below.
# (D)  Uncomment lines below for QNX

=== src/testdir/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 		test59.out test60.out test61.out test62.out test63.out \
 		test64.out test65.out test66.out test67.out test68.out \
 		test69.out test70.out test71.out test72.out test73.out \
-		test74.out
+		test74.out test75.out test76.out test77.out
 
 SCRIPTS_GUI = test16.out
 
@@ -71,7 +71,7 @@
 		  fi \
 		else echo $* NO OUTPUT >>test.log; \
 		fi"
-	-rm -rf X* test.ok viminfo
+#	-rm -rf X* test.ok viminfo
 
 test49.out: test49.vim

=== debian/changelog ===
vim (2:7.3.154+hg~74503f6ee649-2ubuntu3) oneiric; urgency=low

  * Update patch debian/ubuntu-version to list new "precise" dist/series in
    debchangelog and debsources.vim.

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 06 Oct 2011 12:03:26 +0200

vim (2:7.3.154+hg~74503f6ee649-2ubuntu2) oneiric; urgency=low

  * No-change rebuild with perl 5.12 (lp: #778053)

 -- Michael Bienia <geser@ubuntu.com>  Thu, 05 May 2011 20:38:12 +0200

vim (2:7.3.154+hg~74503f6ee649-2ubuntu1) oneiric; urgency=low

  * Merge with Debian unstable (lp: #774233)
  * Remaining changes:
    - debian/rules:
      + Work around ICE on ppc64 by exporting DEB_GCC_NO_O3=1.
    - debian/runtime/debian.vim.in:
      + Add Launchpad integration to the Help menu if launchpad-integration is
        installed.
    - debian/runtime/vimrc:
      + "syntax on" is a sane default for non-tiny vim
    - debian/patches/debian/ubuntu-grub-syntax.patch:
      + Add Ubuntu-specific "quiet" keyword.
    - debian/patches/debian/ubuntu-version.patch:
      + Update supported Ubuntu codenames: drop jaunty and karmic, add oneiric.
  * debian/gvim.desktop:
    Drop path and extension from the Icon filename to allow themes to change
    the icon (lp: #740842).

 -- Michael Bienia <geser@ubuntu.com>  Sat, 30 Apr 2011 17:21:30 +0200

vim (2:7.3.154+hg~74503f6ee649-2) unstable; urgency=low

  * Remove upstream/Makefile-parallel.patch as many parallel invocations of
    upstream's Makefile may result in multiple instances of cp trying to
    exclusively open src/auto/config.mk.
  * debian/rules: Add a src/auto/config.mk target which all configure-*
    targets have as a pre-requisite.

 -- James Vega <jamessan@debian.org>  Sun, 10 Apr 2011 17:43:21 -0400

vim (2:7.3.154+hg~74503f6ee649-1) unstable; urgency=low

  * Pull patches 036 - 154.  (Closes: #608390)
    + 7.3.042: Clear the spell checking info only when clearing the options
      for a buffer.  (Closes: #600688)
    + 7.3.088: Fix a sporadic crash when using Ruby bindings.  (Closes:
      #614336)
    + 7.3.091: Don't write special K_IGNORE codes when recording a Vim
      session.  (Closes: #608242)
  * debian/watch: Adjust dversionmangle to handle the hg naming.
  * Add upstream/es.po-recover.patch, which corrects the translation of the
    swap file recovery prompt.  Thanks to Vicente Couce Díaz for the patch.
    (Closes: #606947)
  * debian/rules:
    + Remove -Wl,--as-needed since upstream now uses that when available.
    + Disable dynamic loading of language bindings until a more robust method
      of handling their dependencies is determined.  (Closes: #611573)
  * Remove vim-lesstif package in favor of the new vim-athena package.
  * Add upstream/pythoncomplete-autoload-init.patch, which ensures PyParser's
    parserline variable is initialized.  Thanks to John Eikenberry for the
    patch.  (Closes: #608420)
  * Bump debhelper compatibility to 7.
    + Use dh_prep instead of dh_clean -k.
    + Bump debhelper Build-Depends to >= 7.
  * debian.vim: Remove BufRead autocmd which was incorrectly setting
    filetype=mail for reportbug.conf.  Reportbug's temp files are always
    reportbug-*.  (Closes: #621798)
  * Add upstream/debcontrol-syntax-multiarch.patch, which adds syntax
    highlighting of Multi-Arch fields in debian/control.  Thanks to Thomas
    Preud'homme for the patch.  (Closes: #621098)
  * debian/control:
    + Remove python3-dev Build-Depends since python3interp can only be enabled
      if dynamically loading the language binding libraries.
    + Change ruby Build-Depends to ruby1.8 since the unversioned packages are
      going away.
  * Add upstream/Makefile-parallel.patch, which adds the "shadow" target to
    the top-level Makefile so src/config.mk.dist is properly copied to
    src/auto/config.mk before invoking src/Makefile.  This fixes parallel
    builds since config.mk.dist was introduced.
  + Update Lintian overrides for the consistent path names in 2.5.0.

 -- James Vega <jamessan@debian.org>  Sat, 09 Apr 2011 19:18:27 -0400

=== debian/control ===
--- 
+++ 
@@ -5,25 +5,25 @@
 XSBC-Original-Maintainer: Debian Vim Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>
 Uploaders: James Vega <jamessan@debian.org>
 Standards-Version: 3.9.1.0
-Build-Depends: debhelper (>= 5), libacl1-dev, libgpmg1-dev [linux-any],
+Build-Depends: debhelper (>= 7), libacl1-dev, libgpmg1-dev [linux-any],
  libncurses5-dev, libselinux1-dev [linux-any],
 # B-D for dpkg-vendor
  dpkg-dev (>= 1.15.1),
 # B-D for GUI support
- libgtk2.0-dev, libgnomeui-dev, libxt-dev, libxpm-dev,
+ libgtk2.0-dev, libgnomeui-dev, libxaw7-dev, libxt-dev, libxpm-dev,
 # B-D for language interpreters
- libperl-dev, tcl-dev, python-dev, ruby, ruby1.8-dev, python3-dev, lua5.1,
+ libperl-dev, tcl-dev, python-dev, ruby1.8, ruby1.8-dev, lua5.1,
  liblua5.1-dev
 Build-Depends-Indep: docbook-xml, docbook-utils
-XS-Debian-Vcs-Hg: http://hg.debian.org/hg/pkg-vim/vim
-XS-Debian-Vcs-Browser: http://hg.debian.org/hg/pkg-vim/vim
+Vcs-Hg: http://hg.debian.org/hg/pkg-vim/vim
+Vcs-Browser: http://hg.debian.org/hg/pkg-vim/vim
 Homepage: http://www.vim.org/
 
 Package: vim-common
 Priority: important
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: vim | vim-gnome | vim-gtk | vim-lesstif | vim-nox | vim-tiny
+Recommends: vim | vim-gnome | vim-gtk | vim-athena | vim-nox | vim-tiny
 Description: Vi IMproved - Common files
  Vim is an almost compatible version of the UNIX editor Vi.
  .
@@ -38,7 +38,7 @@
 
 Package: vim-gui-common
 Architecture: all
-Recommends: vim-gnome | vim-gtk | vim-lesstif
+Recommends: vim-gnome | vim-gtk | vim-athena
 Depends: ${misc:Depends}
 Breaks: vim-runtime (<< 2:7.2.438+hg~d44112feb815-3)
 Replaces: vim-runtime (<< 2:7.2.438+hg~d44112feb815-3)
@@ -59,7 +59,7 @@
 # Upgrades across major versions need to update vim-tiny first, otherwise
 # vim-runtime's removal of the old diversions will fail
 Breaks: vim-tiny (<< ${source:Version})
-Recommends: vim | vim-gnome | vim-gtk | vim-lesstif | vim-nox | vim-tiny
+Recommends: vim | vim-gnome | vim-gtk | vim-athena | vim-nox | vim-tiny
 Enhances: vim-tiny
 Description: Vi IMproved - Runtime files
  Vim is an almost compatible version of the UNIX editor Vi.
@@ -133,7 +133,7 @@
 Architecture: any
 Depends: vim (= ${binary:Version}) | vim-gtk (= ${binary:Version}) |
  vim-gnome (= ${binary:Version}) | vim-nox (= ${binary:Version}) |
- vim-common (= ${binary:Version}) | vim-lesstif (= ${binary:Version}) |
+ vim-common (= ${binary:Version}) | vim-athena (= ${binary:Version}) |
  vim-tiny (= ${binary:Version}), ${misc:Depends}
 Description: Vi IMproved - enhanced vi editor (debugging symbols)
  Vim is an almost compatible version of the UNIX editor Vi.
@@ -176,6 +176,29 @@
  This package contains a version of vim compiled with support for
  scripting with Perl, Python, Ruby, and Tcl but no GUI.
 
+Package: vim-athena
+Priority: extra
+Architecture: any
+Depends: vim-gui-common (= ${source:Version}), vim-common (= ${binary:Version}), vim-runtime (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Suggests: cscope, vim-doc
+Provides: vim, gvim, editor, vim-perl, vim-python, vim-ruby, vim-tcl
+Description: Vi IMproved - enhanced vi editor - with Athena GUI
+ Vim is an almost compatible version of the UNIX editor Vi.
+ .
+ Many new features have been added: multi level undo, syntax
+ highlighting, command line history, on-line help, filename
+ completion, block operations, folding, Unicode support, etc.
+ .
+ This package contains a version of vim compiled with a Athena GUI
+ and support for scripting with Perl, Python, Ruby, and Tcl.
+
+Package: vim-lesstif
+Priority: extra
+Architecture: all
+Depends: vim-athena
+Description: Vi IMproved - enhanced vi editor (transitional package)
+ This package is a transitional package from vim-lesstif to vim-athena.
+
 Package: vim-gnome
 Priority: extra
 Architecture: any

=== debian/watch ===
version=3
opts=dversionmangle=s/\.[0-9a-zA-Z]+\+hg.*$// \
  ftp://ftp.vim.org/pub/vim/unix/vim-(\d+\.\d+)\.tar\.bz2
